import ProjectDescription

let version: SettingValue = "2.23.0"
let baseSettings: [String: SettingValue] = [
    "MARKETING_VERSION": version,
    "PRODUCT_NAME": "SDK Sample"
]

let project = Project(
    name: "KakaoPartnerSDKSample",
    targets: [
        .target(
            name: "KakaoPartnerSDKSample",
            destinations: .iOS,
            product: .app,
            bundleId: "com.kakao.sdk.sample.partner",
            deploymentTargets: .iOS("13.0"),
            infoPlist: .file(path: Path("KakaoPartnerSDKSample/Sources/Info.plist")),
            sources: ["KakaoPartnerSDKSample/Sources/**"],
            resources: ["KakaoPartnerSDKSample/Resources/**"],
            dependencies: [
                .external(name:"Alamofire"),
                .external(name:"KakaoSDKCommon"),
                .external(name:"KakaoSDKTemplate"),
                .external(name:"KakaoSDKAuth"),
                .external(name:"KakaoSDKUser"),
                .external(name:"KakaoSDKCert"),
                .external(name:"KakaoSDKTalk"),
                .external(name:"KakaoSDKFriend"),
                .external(name:"KakaoSDKShare"),
                .external(name:"KakaoSDKNavi"),
                
                .external(name:"KakaoPartnerSDKCommon"),
                .external(name:"KakaoPartnerSDKAuth"),
                .external(name:"KakaoPartnerSDKUser"),
                .external(name:"KakaoPartnerSDKTalk"),
                .external(name:"KakaoPartnerSDKFriend"),
                .external(name:"KakaoPartnerSDKShare")
            ],
            settings: .settings(base:baseSettings)
        ),
        .target(
            name: "KakaoPartnerSDKSampleTests",
            destinations: .iOS,
            product: .unitTests,
            bundleId: "com.kakao.sdk.sample.partner.tests",
            infoPlist: .default,
            sources: ["KakaoPartnerSDKSample/Tests/**"],
            resources: [],
            dependencies: [.target(name: "KakaoPartnerSDKSample")]
        ),
    ]
)
